Saltar al contenido principal
DELETE
/
api
/
v1
/
llm
/
models
/
registry
/
cluster
/
{id}
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.models.removeClusterRegistryModel({
    id: "meetkai:my-custom-chat-v1",
  });

  console.log(result);
}

run();
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;

var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");

var res = await sdk.Llm.Models.RemoveClusterRegistryModelAsync(id: "meetkai:my-custom-chat-v1");

// handle response
from meetkai_mka1 import SDK


with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

res = sdk.llm.models.remove_cluster_registry_model(id="meetkai:my-custom-chat-v1")

# Handle response
print(res)
curl --request DELETE \
--url https://apigw.mka1.com/api/v1/llm/models/registry/cluster/{id} \
--header 'Authorization: Bearer <token>'
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://apigw.mka1.com/api/v1/llm/models/registry/cluster/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deleted": true
}

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Parámetros de ruta

id
string
requerido

Respuesta

200 - application/json

Está bien

deleted
boolean
requerido